Subject: [v6ops] Operational Guidance for IPv6 Deployment in IPv4 Sites using ISATAP

From: "Templin, Fred L" <[email-masked]>
Date: Mon, 23 May 2011 14:16:40 -0700

Folks,

I am done tweaking this document now. Would appreciate
input, especially from those who have expressed interest
in ISATAP over the past several weeks.

Thanks - Fred
[email-masked] 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Monday, May 23, 2011 12:59 PM
To: [email-masked]
Subject: I-D Action: draft-templin-v6ops-isops-05.txt

A New Internet-Draft is available from the on-line Internet-Drafts directories.

	Title           : Operational Guidance for IPv6 Deployment in IPv4 Sites using ISATAP
	Author(s)       : Fred L. Templin
	Filename        : draft-templin-v6ops-isops-05.txt
	Pages           : 26
	Date            : 2011-05-23

   Many end user sites in the Internet today still have predominantly
   IPv4 internal infrastructures.  These sites range in size from small
   home/office networks to large corporate enterprise networks, but
   share the commonality that IPv4 continues to provide satisfactory
   internal routing and addressing services for most applications.  As
   more and more IPv6-only services are deployed in the Internet,
   however, end user devices within such sites will increasingly require
   at least basic IPv6 functionality for external access.  It is also
   expected that more and more IPv6-only devices will be deployed within
   the site over time.  This document therefore provides operational
   guidance for deployment of IPv6 within predominantly IPv4 sites using
   the Intra-Site Automatic Tunnel Addressing Protocol (ISATAP).

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-templin-v6ops-isops-05.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

This Internet-Draft can be retrieved at:
ftp://ftp.ietf.org/internet-drafts/draft-templin-v6ops-isops-05.txt
_______________________________________________
I-D-Announce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/i-d-announce
Internet-Draft directories: http://www.ietf.org/shadow.html
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: "John Mann (ITS)" <[email-masked]>
Date: Wed, 25 May 2011 07:12:09 +1000

Fred,

I like ISATAP and your draft.

But I'm not sure about
---
9. Alternative Approaches
*
*
...
IRON [RFC6179], RANGER [RFC5720], VET [RFC5558] and SEAL [RFC5320]
are a tribute to those in all walks of life who serve with dignity
and honor for the benefit of others.
---

a) it seems out of place in that it doesn't discuss the method used or
service provided by these protocols.
b) is it a round-about way of praising yourself in that you are the author
of those protocols, and of this draft?

======
Also in http://tools.ietf.org/html/draft-templin-v6ops-isops-05#section-9
the text "[RFC4554]" doesn't web-link to  http://tools.ietf.org/html/rfc4554
But I can't tell if this is a original markup problem, or draft->html
converter problem.

Thanks,
    John

On 24 May 2011 07:16, Templin, Fred L <[email-masked]> wrote:

> v6ops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/v6ops
>

---

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 24 May 2011 15:07:00 -0700

Hi John,

Please believe me when I say that it is not a round-about way of praising
myself - quite to the contrary, I was trying to be respectful of others. These
technologies are however alternative approaches that could be used in the
same use cases as ISATAP, and I have also co-authored a RANGER
Scenarios document [RFC6139] that shows how this is true.

Perhaps it would be acceptable to just list the technologies under Alternative
Approaches, but delete the non-technical phrasing that caught your attention?

Thanks - Fred
[email-masked]<mailto:[email-masked]>

________________________________
From: John Mann (ITS) [mailto:[email-masked]]
Sent: Tuesday, May 24, 2011 2:12 PM
To: Templin, Fred L
Cc: [email-masked]
Subject: Re: [v6ops] Operational Guidance for IPv6 Deployment in IPv4 Sitesusing ISATAP

Fred,

But I'm not sure about
---

...

a) it seems out of place in that it doesn't discuss the method used or service provided by these protocols.
b) is it a round-about way of praising yourself in that you are the author of those protocols, and of this draft?

======
Also in http://tools.ietf.org/html/draft-templin-v6ops-isops-05#section-9
the text "[RFC4554]" doesn't web-link to  http://tools.ietf.org/html/rfc4554
But I can't tell if this is a original markup problem, or draft->html converter problem.

Thanks,
    John

On 24 May 2011 07:16, Templin, Fred L <[email-masked]<mailto:[email-masked]>> wrote:
Folks,

Thanks - Fred
[email-masked]<mailto:[email-masked]>

-----Original Message-----
From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of [email-masked]<mailto:[email-masked]>
Sent: Monday, May 23, 2011 12:59 PM
To: [email-masked]<mailto:[email-masked]>
Subject: I-D Action: draft-templin-v6ops-isops-05.txt

[email-masked]<mailto:[email-masked]>
[email-masked]<mailto:[email-masked]>

---

From: "John Mann (ITS)" <[email-masked]>
Date: Wed, 25 May 2011 09:45:01 +1000

Fred,

OK, if I have this right, something like ...

IRON [RFC6179], RANGER [RFC5720], VET [RFC5558] and SEAL [RFC5320]
are dual-protocol IPv4 and IPv6 overlay technologies that could be used
instead of ISATAP to
enable IPv6 services.

or ... protocol agnostic overlay technologies ...

Thanks,
    John

On 25 May 2011 08:07, Templin, Fred L <[email-masked]> wrote:

>  ------------------------------
> *From:* John Mann (ITS) [mailto:[email-masked]]
> *Sent:* Tuesday, May 24, 2011 2:12 PM
> *To:* Templin, Fred L
> *Cc:* [email-masked]
> *Subject:* Re: [v6ops] Operational Guidance for IPv6 Deployment in IPv4
> Sitesusing ISATAP
>
> Fred,
>
>> Internet-Draft<https://www.ietf.org/mailman/listinfo/i-d-announceInternet-Draft>directories:
>> http://www.ietf.org/shadow.html

---

From: "Templin, Fred L" <[email-masked]>
Date: Wed, 25 May 2011 08:45:55 -0700

Hi Remi and John,

Thanks for the input; I have made the necessary correction by removing the
non-technical text:

http://www.ietf.org/id/draft-templin-v6ops-isops-06.txt

John - I made the correction before seeing your proposed changes. I'll see if
it needs tweaking in the next version.

Remi - the 6rd citation is there but came earlier in the document. If you think
more is needed, please propose text.

Thanks - Fred

________________________________
From: Rémi Després [mailto:[email-masked]]
Sent: Wednesday, May 25, 2011 8:22 AM
To: John Mann (ITS); Templin, Fred L
Cc: v6ops v6ops WG
Subject: Re: [v6ops] Operational Guidance for IPv6 Deployment in IPv4 Sites using ISATAP

Le 24 mai 2011 à 23:12, John Mann (ITS) a écrit :

Fred,

I also believe this draft is useful.

But I'm not sure about
---

...

a) it seems out of place

+1

in that it doesn't discuss the method used or service provided by these protocols.

Besides these protocols are experimental, whereas ISATAP is standard track.

Not also that:
- 6to4, which has a different purpose, is complementary to ISATAP (it isn't an "alternative").
- If 6to4 would be nevertheless mentioned (at a time when it is known to be problematic and some consider it historic), 6rd would have to be mentioned too.

Suggestion: delete the section, and proceed with the remainder of the draft.

Regards,
RD

======

Thanks,
    John

Thanks - Fred